import request from '@/utils/request'

// 查询权限配置(必须)列表
export function listAccess11691998078000(query) {
  return request({
    url: '/forms/api/gen/Access11691998078000/list',
    method: 'get',
    params: query
  })
}

// 查询权限配置(必须)详细
export function getAccess11691998078000(id) {
  return request({
    url: '/forms/api/gen/Access11691998078000/' + id,
    method: 'get'
  })
}

// 增量初始化
export function addInitApijsonConfig(id) {
  return request({
    url: '/forms/api/get',
    method: 'post',
    data: {
		"id": id,
		"data()": "addInitApijsonConfig(document,id)"
	}
  })
}

// 新增权限配置(必须)
export function addAccess11691998078000(data) {
  return request({
    url: '/forms/api/gen/Access11691998078000',
    method: 'post',
    data: data
  })
}

// 修改权限配置(必须)
export function updateAccess11691998078000(data) {
  return request({
    url: '/forms/api/gen/Access11691998078000',
    method: 'put',
    data: data
  })
}

// 删除权限配置(必须)
export function delAccess11691998078000(id) {
  return request({
    url: '/forms/api/gen/Access11691998078000/' + id,
    method: 'delete'
  })
}
